import * as React from "react";
import Table from "@mui/material/Table";
import TableBody from "@mui/material/TableBody";
import TableCell from "@mui/material/TableCell";
import TableContainer from "@mui/material/TableContainer";
import TableHead from "@mui/material/TableHead";
import TableRow from "@mui/material/TableRow";
import Paper from "@mui/material/Paper";
import data from "./table.json";

export default function TeamTables() {
  return (
    <>
      {Object.keys(data).map((teamname) => (
        <>
          <h1>{teamname as String}</h1>
          <TableContainer component={Paper}>
            <Table
              sx={{ m: "8px auto" }}
              size="small"
              aria-label="simple table"
            >
              <TableHead>
                <TableRow>
                  <TableCell>player</TableCell>
                  <TableCell>wishes fulfilled</TableCell>
                </TableRow>
              </TableHead>
              <TableBody>
                {data[teamname].map((row) => (
                  <TableRow
                    key={row[0]}
                    sx={{ "&:last-child td, &:last-child th": { border: 0 } }}
                  >
                    <TableCell key={row[0] + "-cell"}>{row[0]}</TableCell>
                    <TableCell key={row[0] + "-cell-2"}>
                      {"♥️".repeat(row[1]) + "♡".repeat(row[2] - row[1])}
                    </TableCell>
                  </TableRow>
                ))}
              </TableBody>
            </Table>
          </TableContainer>
        </>
      ))}
    </>
  );
}
